#
# Cookbook Name:: alphard-artifactory
# Recipe:: default
#
# Copyright 2016, Hydra Technologies, Inc
#
# All rights reserved - Do Not Redistribute
#

bash 'install artifactory debian repository' do
  user 'root'
  group 'root'
  environment(
      'UBUNTU_DISTRIBUTION' => 'trusty',
      'UBUNTU_COMPONENTS' => 'main'
  )
  code <<-EOH
	echo "deb https://jfrog.bintray.com/artifactory-debs $UBUNTU_DISTRIBUTION $UBUNTU_COMPONENTS" | sudo tee -a /etc/apt/sources.list
  curl https://bintray.com/user/downloadSubjectPublicKey?username=jfrog | sudo apt-key add -
  sudo apt-get update
  sudo apt-get install jfrog-artifactory-oss
  EOH
end